<?xml version="1.0" encoding="UTF-8"?><TAPSTRAN0HIS desc_thai="ทะเบียนการประเมินผล" desc_eng="Transection Apstran0 Table" editcheck="true" mainhelp="TAPSTRAN0HISHELP" referhelp="TAPSTRAN0HISHELP" mainkey="APSID" fieldsystem="*" deleteflag="true" config_field="">
	<FIELD>
		<APSID lang="A" encrypt="false" verify="false" log="false" type="String">
			<KEY>1</KEY>
			<RELATION>TAPSTRAN</RELATION>
			<RELATION>TASTRAN</RELATION>
			<RELATION>TAPSTRAN2</RELATION>
			<WIDTH>256</WIDTH>
			<DESC_ENG>Apstran Code</DESC_ENG>
			<DESC_THAI>เลขที่เอกสาร</DESC_THAI>
			<COMPONENT type="Text">
			    <HELP>AS09HELP</HELP>
				<SIZE>70</SIZE>
				<MAXSIZE>256</MAXSIZE>
				<ALT_ENG>Apstran Code</ALT_ENG>
				<ALT_THAI>เลขที่เอกสาร</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</APSID>
		<APSTITLE lang="A" encrypt="false" verify="false" log="false" type="String">
  			<WIDTH>256</WIDTH>
			<DESC_ENG>Title</DESC_ENG>
			<DESC_THAI>เรื่องที่ประเมิน</DESC_THAI>
			<COMPONENT type="TEXTAREA">
				<ALT_ENG>Title</ALT_ENG>
				<ALT_THAI>เรื่องที่ประเมิน</ALT_THAI>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<REQUIRE>true</REQUIRE>
			<LINES>3</LINES>
<SIZECHAR>60</SIZECHAR>
</COMPONENT>
		</APSTITLE>
		<APSPERIODSTART lang="A" encrypt="false" verify="false" log="false" type="TimeStamp">
			<WIDTH>23</WIDTH>
			<DESC_ENG>Period Start</DESC_ENG>
			<DESC_THAI>วันเริ่มต้นรอบการประเมิน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>12</SIZE>
				<VALUE />
				<MAXSIZE>23</MAXSIZE>
				<ALT_ENG>Period Start</ALT_ENG>
				<ALT_THAI>วันเริ่มต้นรอบการประเมิน</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</APSPERIODSTART>
		<APSPERIODEND lang="A" encrypt="false" verify="false" log="false" type="TimeStamp">
			<WIDTH>23</WIDTH>
			<DESC_ENG>Period End</DESC_ENG>
			<DESC_THAI>วันสิ้นสุดรอบการประเมิน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>12</SIZE>
				<VALUE />
				<MAXSIZE>23</MAXSIZE>
				<ALT_ENG>Period End</ALT_ENG>
				<ALT_THAI>วันสิ้นสุดรอบการประเมิน</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</APSPERIODEND>
		<APSREFERENCE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>256</WIDTH>
			<DESC_ENG>Refrence Key</DESC_ENG>
			<DESC_THAI>เลขที่อ้างอิงของเอกสารการประเมิน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>70</SIZE>
				<MAXSIZE>256</MAXSIZE>
				<ALT_ENG>Refrence Key</ALT_ENG>
				<ALT_THAI>เลขที่อ้างอิงของเอกสารการประเมิน</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</APSREFERENCE>
		<GGID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>256</WIDTH>
			<DESC_ENG>Group Grade Code</DESC_ENG>
			<DESC_THAI>รหัสกลุ่มเกรด </DESC_THAI>
			<COMPONENT type="Text">
<SIZE>70</SIZE>
				<HELP>AS15HELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>256</MAXSIZE>
				<ALT_ENG>Group Grade Code</ALT_ENG>
				<ALT_THAI>รหัสกลุ่มเกรด</ALT_THAI>
			</COMPONENT>
		</GGID>
		<ASTID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>256</WIDTH>
			<DESC_ENG>Type Code</DESC_ENG>
			<DESC_THAI>รหัสประเภท</DESC_THAI>
			<COMPONENT type="Text">
<SIZE>70</SIZE>
				 <HELP>AS10HELP</HELP>
				<MAXSIZE>256</MAXSIZE>
				<ALT_ENG>Type Code</ALT_ENG>
				<ALT_THAI>รหัสประเภท</ALT_THAI>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
			</COMPONENT>
		</ASTID>
		<APSOBJECTIVE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>256</WIDTH>
			<DESC_ENG>Objective</DESC_ENG>
			<DESC_THAI>วัตถุประสงค์การประเมิน</DESC_THAI>
			<COMPONENT type="TEXTAREA">
				<ALT_ENG>Objective</ALT_ENG>
				<ALT_THAI>วัตถุประสงค์การประเมิน</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			<LINES>3</LINES>
<SIZECHAR>60</SIZECHAR>
</COMPONENT>
		</APSOBJECTIVE>
		<APSSTARTDATE lang="A" encrypt="false" verify="false" log="false" type="TimeStamp">
			<WIDTH>23</WIDTH>
			<DESC_ENG>Start Date</DESC_ENG>
			<DESC_THAI>วันที่เริ่มต้นการบันทึกใบประเมิน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>12</SIZE>
				<VALUE />
				<MAXSIZE>23</MAXSIZE>
				<ALT_ENG>Start Date</ALT_ENG>
				<ALT_THAI>วันที่เริ่มต้นการบันทึกใบประเมิน</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</APSSTARTDATE>
		<APSENDDATE lang="A" encrypt="false" verify="false" log="false" type="TimeStamp">
			<WIDTH>23</WIDTH>
			<DESC_ENG>End Date</DESC_ENG>
			<DESC_THAI>วันที่สิ้นสุดการบันทึกใบประเมิน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>12</SIZE>
				<VALUE />
				<MAXSIZE>23</MAXSIZE>
				<ALT_ENG>End Date</ALT_ENG>
				<ALT_THAI>วันที่สิ้นสุดการบันทึกใบประเมิน</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</APSENDDATE>
		<APSHISTORY lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>256</WIDTH>
			<DESC_ENG>History Status</DESC_ENG>
			<DESC_THAI>สถานะhistory </DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>70</SIZE>
				<MAXSIZE>256</MAXSIZE>
				<ALT_ENG>History Status</ALT_ENG>
				<ALT_THAI>สถานะhistory</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</APSHISTORY>
		<APSAMOUNT lang="A" encrypt="false" verify="false" log="false" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Amount</DESC_ENG>
			<DESC_THAI>จำนวนใบประเมินทั้งหมด </DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Amount</ALT_ENG>
				<ALT_THAI>จำนวนใบประเมินทั้งหมด</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</APSAMOUNT>
		<APSCOMPLETED lang="A" encrypt="false" verify="false" log="false" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Complete</DESC_ENG>
			<DESC_THAI>จำนวนใบประเมินที่สร้างเสร็จแล้ว </DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Complete</ALT_ENG>
				<ALT_THAI>จำนวนใบประเมินที่สร้างเสร็จแล้ว</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</APSCOMPLETED>
		<APSERROR lang="A" encrypt="false" verify="false" log="false" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Error</DESC_ENG>
			<DESC_THAI>จำนวนใบประเมินที่ไม่สามารถสร้างได้ </DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Error</ALT_ENG>
				<ALT_THAI>จำนวนใบประเมินที่ไม่สามารถสร้างได้</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</APSERROR>
		<APSCREATEBY lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>256</WIDTH>
			<DESC_ENG>Creator</DESC_ENG>
			<DESC_THAI>ผู้สร้าง</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>70</SIZE>
				<MAXSIZE>256</MAXSIZE>
				<ALT_ENG>Creator</ALT_ENG>
				<ALT_THAI>ผู้สร้าง</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</APSCREATEBY>
		<APSCREATEDATE lang="A" encrypt="false" verify="false" log="false" type="TimeStamp">
			<WIDTH>23</WIDTH>
			<DESC_ENG>Create Date</DESC_ENG>
			<DESC_THAI>วันที่สร้าง</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>18</SIZE>
				<MAXSIZE>23</MAXSIZE>
				<ALT_ENG>Create Date</ALT_ENG>
				<ALT_THAI>วันที่สร้าง</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</APSCREATEDATE>
		<COMPANYID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>256</WIDTH>
			<DESC_ENG>Company Code</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>70</SIZE>
				<MAXSIZE>256</MAXSIZE>
				<ALT_ENG>Company Code</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
</FIELD>
	<RELATION>
	       <MASTYPE>
						<PARENT>TAPSTRAN0.ASTID</PARENT>
						<CHILD>MASTYPE.ASTID</CHILD>
	       </MASTYPE>
	       <MGROUPGRADE>
						<PARENT>TAPSTRAN0.GGID</PARENT>
						<CHILD>MGROUPGRADE.GGID</CHILD>
	       </MGROUPGRADE>
	</RELATION>
</TAPSTRAN0HIS>
